export interface Config {
    name: string;
    enabled: boolean;
    deleteOnStart: boolean;
}
export declare const getCache: (config: Config) => Promise<undefined | Cache>;
export declare class Cache {
    _db: any;
    _name: string;
    constructor(name: string, dirPath: string);
    key(obj: any): string;
    get(obj: any): Promise<[any, boolean] | undefined>;
    put(obj: any, value: any): Promise<void>;
    _cacheKey(obj: any): string;
}
